using System;
using System.Collections.Generic;
using System.Text;

namespace RussianSolitaire
{
    class Constants
    {
        public const String HEARTS = "hearts";
        public const String DIAMONDS = "diamonds";
        public const String CLUBS = "clubs";
        public const String SPADES = "spades";

        public const int CARDWIDTH = 72;
        public const int CARDHEIGHT = 100;//60

        public const int XBEGIN = 15;
        public const int YBEGIN = 160;

        public const int XINC = 80;
        public const int YINC = 30;

        public const int YINCFACEDOWN = 12;

        public const int COL1X = XBEGIN;
        public const int COL2X = XBEGIN + XINC;
        public const int COL3X = XBEGIN + XINC + XINC;
        public const int COL4X = XBEGIN + XINC + XINC + XINC;
        public const int COL5X = XBEGIN + XINC + XINC + XINC + XINC;
        public const int COL6X = XBEGIN + XINC + XINC + XINC + XINC + XINC;
        public const int COL7X = XBEGIN + XINC + XINC + XINC + XINC + XINC + XINC;

        public const int XFOUNDBEGIN = 254;
        public const int YFOUNDBEGIN = 40;

        public const int XFOUNDINC = 80;

        public const int FOUND1X = XFOUNDBEGIN;
        public const int FOUND2X = XFOUNDBEGIN + XFOUNDINC;
        public const int FOUND3X = XFOUNDBEGIN + XFOUNDINC + XFOUNDINC;
        public const int FOUND4X = XFOUNDBEGIN + XFOUNDINC + XFOUNDINC + XFOUNDINC;
    }
}
