using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace RussianSolitaire
{
    public partial class DialogBox : Form
    {
        private Form mainForm;

        public DialogBox(Form m, int x, int y, int score, String newMessage)
        {
            StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
            InitializeComponent();
            mainForm = m;
            this.label3.Text = "Final Score: " + score.ToString();
            //this.label3.ForeColor = Color.Red;
            Location = new Point(x, y);

            //You ran out of moves! or Congratulations!
            if (newMessage.Equals("Game Over!"))
            {
                label1.Text = "You ran out of moves!";
            }
            this.Text = newMessage;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            ((GUI)mainForm).newGame();
            this.Close();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void DialogBox_Load(object sender, EventArgs e)
        {
        }
    }
}